Summary:	The GNU versions of find utilities (find and xargs).
Name:		findutils
Group:		Applications/File
License:	GPL
Version:	4.2.23
Release:	2
Source0:	ftp://ftp.gnu.org/pub/gnu/%{name}/%{name}-%{version}.tar.gz
Patch0:		find-4.2.23-selinux-gd-1.diff
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
The findutils package contains programs which will help you locate
files on your system.  The find utility searches through a hierarchy
of directories looking for files which match a certain set of criteria
(such as a filename pattern).  The xargs utility builds and executes
command lines from standard input arguments (usually lists of file
names generated by the find command).

%files -f %{name}.lang
  %defattr(-,root,root)
  %doc AUTHORS COPYING ChangeLog NEWS README README-alpha THANKS TODO
  %doc %{_mandir}/man1/find.1*
  %doc %{_mandir}/man1/xargs.1*
  %doc %{_infodir}/find.info*

  %attr(0511,root,root)	%{_bindir}/find
  %attr(0511,root,root)	%{_bindir}/xargs
  %attr(0511,root,root)	%{_libexecdir}/bigram
  %attr(0511,root,root)	%{_libexecdir}/code
  %attr(0511,root,root)	%{_libexecdir}/frcode

%prep
%setup -q
%patch0 -p1

%build
  autoreconf

  %configure
  make

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  %makeinstall

  # Remove unpackaged files
  rm -f $RPM_BUILD_ROOT/%{_bindir}/locate
  rm -f $RPM_BUILD_ROOT/%{_bindir}/updatedb
  rm -f $RPM_BUILD_ROOT/%{_infodir}/dir
  rm -f $RPM_BUILD_ROOT/%{_mandir}/man1/locate.1*
  rm -f $RPM_BUILD_ROOT/%{_mandir}/man1/updatedb.1*
  rm -f $RPM_BUILD_ROOT/%{_mandir}/man5/locatedb.5*

  %find_lang %{name}

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Jul 06 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 4.2.23, Release 2
  - Patch in support for SELinux.

* Tue Jun 28 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 4.2.23, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
